package com.sys.bus.hr.model.base;

import java.math.BigDecimal;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;
@SuppressWarnings("serial")
public abstract class BaseDept<M extends BaseDept<M>> extends Model<M> implements IBean {

	 public String getId() {
	        return get("id");
	  }
	  public void setId(String id) {
	        set("id",id);
	 }
	  public String getParentId() {
	        return get("parentId");
	  }
	  public void setParentId(String parentId) {
	        set("parentId",parentId);
	 }
	  public String getName() {
	        return get("name");
	  }
	  public void setName(String name) {
	        set("name",name);
	 }
	  public String getLongName() {
	        return get("longName");
	  }
	  public void setLongName(String longName) {
	        set("longName",longName);
	 }

		public void setLongNumber(String longName) {
		set("longNumber",longName);
	}
		public String getLongNumber() {
		return get("longNumber");
	}

}
